PETSc version 3.15.5
Fix/Edit manual page

# DMTSCheckFromOptions

Check the residual and Jacobian functions using the exact solution by outputting some diagnostic information

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMTSCheckFromOptions(TS ts, Vec u)

### Input Parameters

| ts | - the TS object
| u | - representative TS vector

Note: The user must call PetscDSSetExactSolution() beforehand

### Level

developer

### Location

src/ts/utils/dmplexts.c

### Examples

src/ts/tutorials/ex45.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages